import { ReactNode } from 'react';
import { Group, BrButton, GroupProps, ModalButton } from './components';
export interface OperationProps {
    children?: ReactNode;
    /**按钮为一组时展示 */
    Group: React.FC<GroupProps>;
    /** 禁用时展示tooltip*/
    BrButton: () => JSX.Element;
    /** 点击打开对话框*/
    ModalButton: JSX.Element;
}
declare const Operation: {
    (props: OperationProps): JSX.Element;
    Group: import("react").FC<GroupProps>;
    BrButton: import("react").FC<import("./components/BrButton/BrButton").BrButtonProps>;
    ModalButton: <T>(props: import("./components/ModalButton/ModalButton").ModalButtonProps<T>) => JSX.Element;
};
export { Group, BrButton, ModalButton };
export default Operation;
